/*
 * Copyright (C) 2003-2007 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */
package org.exoplatform.services.portletcontainer.monitor;

/**
 * Created y the eXo platform team User: Benjamin Mestrallet Date: 4 mai 2004 .
 */
public interface PortletRuntimeData {

  /**
   * @return app name
   */
  String getPortletAppName();

  /**
   * @return portlet name
   */
  String getPortletName();

  /**
   * @return is initialized
   */
  boolean isInitialized();

  /**
   * @return time
   */
  long getInitializationTime();

  /**
   * @return time
   */
  long getLastAccessTime();

  /**
   * @return time
   */
  long getLastFailureAccessTime();

  /**
   * @return time
   */
  long getLastInitFailureAccessTime();

  /**
   * @param lastInitFailureAccessTime time
   */
  void setLastInitFailureAccessTime(long lastInitFailureAccessTime);

  /**
   * @return unavailability period
   */
  long getUnavailabilityPeriod();

  /**
   * @param key cache key
   * @param isCacheGlobal either to use global cache
   * @return is data cached
   */
  boolean isDataCached(String key, boolean isCacheGlobal);

  /**
   * @return cache scope
   */
  String getCacheScope();

  /**
   * @param key cache key
   * @param isCacheGlobal either to use global cache
   * @return cached data
   */
  CachedData getCachedData(String key, boolean isCacheGlobal);

  /**
   * @return cache expiration period
   */
  int getCacheExpirationPeriod();

  /**
   * @return monitor data
   */
  PortletRequestMonitorData[] getPortletRequestMonitorData();
}
